<?php
/*****************************************************************************/
/* BoardIndex.php                                                            */
/*****************************************************************************/
/* YaBB: Yet another Bulletin Board                                          */
/* Open-Source Project started by Zef Hemel (zef@zefnet.com)                 */
/* Software Version: YaBB SE                                                 */
/* ========================================================================= */
/* Software Distributed by:    http://www.yabbse.org                         */
/* Support, News, Updates at:  http://www.yabbse.org/community               */
/*                             http://www.yabbforum.com/community            */
/* ========================================================================= */
/* Copyright (c) 2001-2002 The YaBB SE Development Team                      */
/* Software by: The YaBB SE Development Team                                 */
/*****************************************************************************/
/* This program is free software; you can redistribute it and/or modify it   */
/* under the terms of the GNU General Public License as published by the     */
/* Free Software Foundation; either version 2 of the License, or (at your    */
/* option) any later version.                                                */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* The GNU GPL can be found in gpl.txt in this directory                     */
/*****************************************************************************/

$boardindexphpver = 'YaBB SE 1.5.0';

function BoardIndex()
{
	global $imagesdir, $txt, $scripturl, $mbname, $curposlinks, $showlatestmember, $censored, $maxmessagedisplay;
	global $color, $imagesdir, $enable_ubbc, $shownewsfader, $faderpath, $settings, $fadertime, $recentsender;
	global $username, $curboard, $showmarkread, $img, $Show_RecentBar, $Show_MemberBar, $realNames,$mnum, $munred;
	global $sourcedir, $reminderurl, $Cookie_Length, $cgi, $yytitle, $ID_MEMBER, $modSettings, $db_prefix;

	$latestmember = $modSettings['latestMember'];
	$latestRealName = $modSettings['latestRealName'];
	$memcount = $modSettings['memberCount'];
	$totalm = $modSettings['totalMessages'];
	$totalt = $modSettings['totalTopics'];

	$euser = urlencode($latestmember);
	$thelatestmember = "$txt[201] <a href=\"$scripturl?action=viewprofile;user=$euser\"><b>$latestRealName</b></a>$txt[581]";
	$thelatestmember2 = "$txt[656] <b><a href=\"$scripturl?action=viewprofile;user=$euser\">$latestRealName</a></b>";
	$yytitle = $txt[18];
	template_header();
	$curforumurl = ($curposlinks ? "<a href=\"$scripturl\" class=\"nav\">$mbname</a>" : $mbname);
	// Build the link tree
	$displayLinkTree = ($modSettings['enableInlineLinks']? "<font class=\"nav\"><b>$curforumurl</b></font>"  :  "<font class=\"nav\"><img src=\"$imagesdir/open.gif\" border=\"0\" alt=\"\" /> <b>$curforumurl</b></font>");

	echo '
		<table width="100%" align="center">
			<tr>
				<td valign="bottom">' . $displayLinkTree . '</td>
				<td align="right">';
	if ($modSettings['enableSP1Info'] != 1)
		echo "<font size=\"2\">$txt[19]: $memcount &nbsp;&bull;&nbsp; $txt[95] $totalm &nbsp;&bull;&nbsp; $txt[64] $totalt </font>";
	if ($showlatestmember == 1 && $modSettings['enableSP1Info'] != 1)
		echo "	<br /><font size=\"2\">" . $thelatestmember . "</font>\n";
	echo '
				</td>
			</tr>
		</table>';

	if ($shownewsfader == 1)
	{
		if (!isset($fadertime)) 
			$fadertime = 5000; 
		echo '
			<table border="0" width="100%" cellspacing="0" cellpadding="0" class="bordercolor"><tr><td>
				<table border="0" width="100%" cellspacing="1" cellpadding="5" class="bordercolor">
					<tr>
						<td class="titlebg" align="center">
						<b>' . $txt[102] . '</b></td>
					</tr><tr>
						<td class="windowbg2" valign="middle" align="center" height="60">
							<script language="javascript1.2" type="text/javascript">
							<!--
								var delay = ' . $fadertime . '
								var bcolor = "' . $color['windowbg2'] . '"
								var tcolor = "' . $color['fadertext2'] . '"
								var fcontent = new Array()
								begintag = \'<font size="2"><b>\'';
		$newslines = str_replace("\r", '', trim($modSettings['news']));
		$newslines = explode("\n", $newslines);
		for ($i = 0; $i < sizeof($newslines); $i++)
		{
			if ($enable_ubbc == 1)
			$newslines[$i] = DoUBBC($newslines[$i]);
			$newslines[$i] = str_replace('"', "'", trim($newslines[$i]));
			$newslines[$i] = str_replace('/', '\/', $newslines[$i]);
			echo "fcontent[$i] = \"$newslines[$i]\"\n";
		}
		echo '
								closetag = \'<\/b><\/font>\'
							// -->
							</script>
							<script language="javascript1.2" src="' . $faderpath . '" type="text/javascript"></script>
							<script language="JavaScript1.2" type="text/javascript">
							<!--
								if (navigator.appVersion.substring(0, 1) < 5 && navigator.appName == "Netscape")
								{
									var fwidth = screen.availWidth / 2;
									var bwidth = screen.availWidth / 4;
									document.write(\'<ilayer id="fscrollerns" width=\'+fwidth+\' height=35 left=\'+bwidth+\' top=0><layer id="fscrollerns_sub" width=\'+fwidth+\' height=35 left=0 top=0><\/layer><\/ilayer>\');
								}
								else if (navigator.userAgent.search(/Opera/) != -1 || (navigator.platform != "Win32" && navigator.userAgent.indexOf(\'Gecko\') == -1))
								{
									document.open();
									for (i=0;i<fcontent.length;++i)
									{
										document.write(begintag+fcontent[i]+closetag+"<br />");
									}
									document.close();
								}
								else
								{
									document.write(\'<div id="fscroller" style="width:90% height:15px; padding:2px"><\/div>\');
								}
								window.onload = fade;
							// -->
							</script>
						</td>
					</tr>
				</table>
			</td></tr></table>';
	}
	echo '
			<table border="0" width="100%" cellspacing="0" cellpadding="0" class="bordercolor"><tr><td>
				<table border="0" width="100%" cellspacing="1" cellpadding="5" class="bordercolor">
					<tr>
						<td class="titlebg" colspan="2"><b>' . $txt[20] . '</b></td>
						<td class="titlebg" width="6%" align="center"><b>' . $txt[330] . '</b></td>
						<td class="titlebg" width="6%" align="center"><b>' . $txt[21] . '</b></td>
						<td class="titlebg" width="22%" align="center"><b>' . $txt[22] . '</b></td>
					</tr>';

	$condition = ($settings[7] == 'Administrator' || $settings[7] == 'Global Moderator' ? '1' : "(FIND_IN_SET('$settings[7]', c.memberGroups) != 0 || c.memberGroups='')");
	$result_boards = mysql_query ("
		SELECT DISTINCT c.name AS catName, c.ID_CAT, b.ID_BOARD, b.name AS boardName, b.description, b.moderators, b.numPosts, b.numTopics, c.memberGroups, m.posterName, m.posterTime, m.subject, t.ID_TOPIC, t.numReplies, IFNULL(mem.realName, m.posterName) AS realName, IFNULL(lb.logTime, 0) AS boardTime, IFNULL(lmr.logTime, 0) AS markReadTime, IFNULL(mem.ID_MEMBER, -1) AS ID_MEMBER
		FROM {$db_prefix}categories AS c
			LEFT JOIN {$db_prefix}boards AS b ON (b.ID_CAT=c.ID_CAT)
			LEFT JOIN {$db_prefix}topics AS t ON (t.ID_TOPIC=b.ID_LAST_TOPIC)
			LEFT JOIN {$db_prefix}messages AS m ON (m.ID_MSG=t.ID_LAST_MSG)
			LEFT JOIN {$db_prefix}members AS mem ON (mem.ID_MEMBER=m.ID_MEMBER)
			LEFT JOIN {$db_prefix}log_boards AS lb ON (lb.ID_BOARD=b.ID_BOARD AND lb.memberName='$username')
			LEFT JOIN {$db_prefix}log_mark_read AS lmr ON (lmr.ID_BOARD=b.ID_BOARD AND lmr.memberName='$username')
		WHERE $condition
		ORDER BY c.catOrder, c.ID_CAT, b.boardOrder, b.ID_BOARD");

	$curcat = -1;
	while ($row_board = mysql_fetch_array($result_boards))
	{
		// if this is a new category
		if ($row_board['ID_CAT'] != $curcat)
		{
			$curcat=$row_board['ID_CAT'];
			echo "<tr> <td colspan=\"5\" class=\"catbg\" height=\"18\">\n";
			echo "<a name=\"$row_board[ID_CAT]\"><b>$row_board[catName]</b></a></td>\n</tr>\n";
		}

		if ($row_board['ID_BOARD'] != '')
		{
			$latestPostName = $txt[470];
			$latestPostTime = $txt[470];
			$latestPostID = '-1';
			$latestModTime = $subject = $topicID = '';
			$numReplies = 0;
			$latestPostName = (strlen($row_board['posterName']) ? $row_board['posterName'] : $txt[470]);
			$latestPostID = $row_board['ID_MEMBER'];
			$latestPostTime = ($row_board['posterTime'] > 0 ? $row_board['posterTime'] : $txt[470]);
			$subject = $row_board['subject'];
			$topicID = $row_board['ID_TOPIC'];
			$numReplies = $row_board['numReplies'];
			$latestPostRealName = $row_board['realName'];
			$log1 = (($row_board['boardTime'] >= $latestPostTime) ? 1 : 0);
			$log2 = (($row_board['markReadTime'] >= $latestPostTime) ? 1 : 0);
			$latestEditTime = $latestModTime = $latestPostTime;
			$themoderators = explode(', ', $row_board['moderators']);
			for ($i = 0; $i < sizeof($themoderators); $i++)
			{
				$themoderators[$i] = trim($themoderators[$i]);
				if ($themoderators[$i] != '')
				{
					LoadRealName($themoderators[$i]);
					$euser=urlencode($themoderators[$i]);
					$themoderators[$i] = "<a href=\"$scripturl?action=viewprofile;user=$euser\"><acronym title=\"$txt[62]\">{$realNames[$themoderators[$i]]}</acronym></a>";
				}
			}
			$showmods = implode (', ', $themoderators);
			if ($showmods != '')
			{
				if (sizeof($themoderators) > 1)
					$showmods = "<br /><font size=\"1\"><i>$txt[299]: $showmods</i></font>";
				else
					$showmods = "<br /><font size=\"1\"><i>$txt[298]: $showmods</i></font>";
			}
			else
				$showmods = "";

			// set it to off,  only turn it on if there are posts and they are new.
			$new = "<img src=\"$imagesdir/off.gif\" alt=\"$txt[334]\" />";
			if ($latestPostTime != $txt[470] && $log1 == 0 && $log2 == 0 && $username != 'Guest')
				$new = "<img src=\"$imagesdir/on.gif\" alt=\"$txt[333]\" />";

			if ($latestPostName != $txt[470] && $latestPostID != '-1')
			{
				$euser=urlencode($latestPostName);
				$latestPostName = "<a href=\"$scripturl?action=viewprofile;user=$euser\">$latestPostRealName</a>";
			}
			if ($latestPostTime != $txt[470])
				$latestPostTime = timeformat($latestPostTime);

			CensorTxt($subject);

			$subject = str_replace (array('&quot;', '&#039;', '&amp;', '&lt;', '&gt;'),  array('"', "'", '&', '<', '>'),  $subject);
			$subject = (strlen($subject) > 20)? htmlspecialchars(substr($subject, 0, 20) . '...'):htmlspecialchars($subject);
			$startPage = (floor(($numReplies)/$maxmessagedisplay)*$maxmessagedisplay);

			echo '
					<tr>
						<td class="windowbg" width="6%" align="center" valign="top">' . $new . '</td>
						<td class="windowbg2" align="left" width="60%">
							<a name="b' . $row_board['ID_BOARD'] . '"></a>
							<font size="2"><b><a href="' . $scripturl . '?board=' . $row_board['ID_BOARD'] . '">' . $row_board['boardName'] . '</a></b><br />
							' . $row_board['description'] . '</font>' . $showmods . '
						</td>
						<td class="windowbg" valign="middle" align="center" width="6%">
							' . $row_board['numTopics'] . '
						</td>
						<td class="windowbg" valign="middle" align="center" width="6%">
							'. $row_board['numPosts'] . '
						</td>
						<td class="windowbg2" valign="middle" width="22%">
							<font size="1">
								' . $latestPostTime . '	<br />
								' . $txt['yse88'] .' <a href="' . $scripturl . '?board=' . $row_board['ID_BOARD'] . ';action=display;threadid=' . $topicID . ';start=' . $startPage . ';boardseen=1">' . $subject . '</a><br />
								' . $txt[525] . ' ' . $latestPostName . '
							</font>
						</td>
					</tr>';
		}
	}
	// load the number of users online right now
	$guests = 0;
	$tmpusers = array();
	$request3 = mysql_query("
		SELECT lo.identity,  m.realName,  m.memberGroup 
		FROM {$db_prefix}log_online AS lo 
			LEFT JOIN {$db_prefix}members AS m ON (m.memberName=lo.identity) 
		WHERE 1 
		ORDER BY logTime DESC");
	while ($tmp = mysql_fetch_array($request3))
	{
		$identity = $tmp['identity'];
		$euser = urlencode($identity);

		if ($tmp['realName'] != '')
		{
			if ($tmp['memberGroup'] == 'Administrator')
				$tmpusers[] = "<a href=\"$scripturl?action=viewprofile;user=$euser\"><font color=\"red\">$tmp[realName]</font></a>";
			elseif ($tmp['memberGroup'] == 'Global Moderator')
				$tmpusers[] = "<a href=\"$scripturl?action=viewprofile;user=$euser\"><font color=\"blue\">$tmp[realName]</font></a>";
			elseif ($tmp['memberGroup'] == 'YaBB SE Developer')
				$tmpusers[] = "<a href=\"$scripturl?action=viewprofile;user=$euser\"><font color=\"green\">$tmp[realName]</font></a>";
			elseif ($tmp['memberGroup'] == 'Mod Team')
				$tmpusers[] = "<a href=\"$scripturl?action=viewprofile;user=$euser\"><font color=\"orange\">$tmp[realName]</font></a>";
			else
				$tmpusers[] = "<a href=\"$scripturl?action=viewprofile;user=$euser\">$tmp[realName]</a>";
		}
		else
			$guests ++;
	}
	//change here
	$users = '<font size="1">' . implode(', ', $tmpusers) . '</font>';
	$numusersonline = sizeof($tmpusers);

	//Determines most user online - both all time and per day
	$total_users = $guests + $numusersonline;
	$tot_date = time();
	if (($modSettings['trackStats'] == 1) && ($total_users > $modSettings['mostOnline']))
	{
		$result=mysql_query("UPDATE {$db_prefix}settings SET value='$total_users' WHERE variable='mostOnline'");
		$result=mysql_query("UPDATE {$db_prefix}settings SET value='$tot_date' WHERE variable='mostDate'");
	}

	if ($modSettings['trackStats'] == 1)
	{
		$mdate = getdate(time());
		$monthquery = mysql_query("
			SELECT MAX(mostOn) as mostOn 
			FROM {$db_prefix}log_activity 
			WHERE month = $mdate[mon] 
				AND day = $mdate[mday] 
				AND year = $mdate[year]");
		echo mysql_error();
		$temp = mysql_fetch_row($monthquery);
		$oldMost = $temp[0];
		if ($total_users > $oldMost)
			$statsquery = mysql_query("
				REPLACE INTO {$db_prefix}log_activity (month,  day,  year,  mostOn) 
				VALUES ($mdate[mon],  $mdate[mday],  $mdate[year],  $total_users)");
	}

	if ($username != 'Guest' )
	{
		echo '
					<tr>
						<td class="titlebg" colspan="6" align="center">
							<table cellpadding="0" border="0" cellspacing="0" width="100%">
								<tr>
									<td align="left">
										<img src="' . $imagesdir . '/new_some.gif" border="0" alt=" ' .$txt[333] . '" />&nbsp;&nbsp;
										<img src="' . $imagesdir . '/new_none.gif" border="0" alt="' . $txt[334] . '" /></td>
									<td align="right">
										<font size="1">&nbsp;';
		if ($showmarkread == 1)
			echo " <a href=\"$scripturl?action=markallasread\">$img[markallread]</a>";
		echo '
										</font>
									</td>
								</tr>
							</table>
						</td>
					</tr>';
	}

	echo '
				</table>
			</td></tr></table><br /><br />
			<form action="' . $cgi . ';action=login2" method="post">
				<table border="0" width="100%" cellspacing="0" cellpadding="0" class="bordercolor"><tr><td>
					<table border="0" width="100%" cellspacing="1" cellpadding="4" class="bordercolor">
						<tr>
							<td class="titlebg" align="center" colspan="2">
								<b>' . $txt[685] . '</b>
							</td>
						</tr>';

	if ($Show_RecentBar == 1)
	{
		echo '
						<tr>
							<td class="catbg" colspan="2"><b>' . $txt[214] . '</b></td>
						</tr><tr>
							<td class="windowbg" width="20" valign="middle" align="center">
								<img src="' . $imagesdir . '/xx.gif" border="0" alt="" />
							</td>
							<td class="windowbg2">
								<b><a href="' . $scripturl . '?action=recent">' . $txt[214] . '</a></b><br />
								<font size="1">';
		include_once ("$sourcedir/Recent.php");
		LastPost();
		echo '
								</font>
							</td>
						</tr>';
	}
	else if ($Show_RecentBar == 2)
	{
		echo '
						<tr>
							<td class="catbg" colspan="2"><b>' . $txt[214] . '</b></td>
						</tr><tr>
							<td class="windowbg" width="20" valign="middle" align="center">
								<img src="' . $imagesdir . '/xx.gif" border="0" alt="" />
							</td>
							<td class="windowbg2">';
		include_once ("$sourcedir/Recent.php");
		LastPostings();
		echo '
							</td>
						</tr>';
	}
	if ($modSettings['cal_enabled'] == 1 && ($modSettings['cal_showeventsonindex'] == 1 || $modSettings['cal_showbdaysonindex'] == 1 || $modSettings['cal_showholidaysonindex'] == 1))
	{
		include_once "$sourcedir/Calendar.php"; 
		CalendarDoIndex();
	}

	if ($Show_MemberBar == 1)
	{
		echo '
						<tr>
							<td class="catbg" colspan="2"><b>'. $txt[331] . '</b></td>
						</tr><tr>
							<td class="windowbg" width="20" valign="middle" align="center">
								<img src="' . $imagesdir . '/guest.gif" border="0" width="20" alt="" />
							</td>
							<td class="windowbg2" width="100%">
								<b><a href="' . $scripturl . '?action=mlall">' . $txt[332] . '</a></b><br />
								<font size="1">' . $txt[200] . '</font>
							</td>
						</tr>';
	}
	if ($modSettings['enableSP1Info'] == 1)
	{
		echo '
						<tr>
							<td class="catbg" colspan="2"><b>' . $txt[645] . '</b></td>
						</tr><tr>
							<td class="windowbg" width="20" valign="middle" align="center">
								<img src="' . $imagesdir . '/info.gif" border="0" alt="" />
							</td>
							<td class="windowbg2" width="100%">
								<table border="0" width="90%">
									<tr>
										<td>
											<font size="1">
												' . $txt[94] . ' ' . $txt[64] . ' <b>' . $totalt . '</b> &nbsp;&nbsp;&nbsp;&nbsp; ' . $txt[94] . ' ' . $txt[95] . ' <b>' . $totalm . '</b><br />
												' . $txt[659];
		include_once("$sourcedir/Recent.php");
		$recentsender = 'admin';
		LastPost();
		if ($modSettings['trackStats'] == 1)
			$stats = "<br /><a href=\"$scripturl?board=;action=stats\">$txt[yse223]</a>";
		else
			$stats = '';
		echo '
												<br />
												<a href="' . $scripturl . '?action=recent">' . $txt[234] . '</a>' . $stats . '
											</font>
										</td>
										<td>
											<font size="1">
												' . $txt[94] . ' ' . $txt[19] . ': <b><a href="' . $scripturl . '?action=mlall">' . $memcount . '</a></b><br />
												' . $thelatestmember2 . '<br />';
		if ($username != 'Guest' )
			echo '
												' . $txt['yse199'] . ': <b><a href="' . $scripturl . '?board=;action=im">' . $mnum .'</a></b> ' . $txt['newmessages3'] . ': <b><a href="' . $scripturl . '?board=;action=im">' . $munred . '</a></b>';
		echo '
											</font>
										</td>
									</tr>
								</table>
							</td>
						</tr>';
	}
	if ($modSettings['trackStats'] == 1 && $modSettings['enableSP1Info'] != 1)
		$stats = "<br /><font size=\"1\"><a href=\"$scripturl?board=;action=stats\">$txt[yse223]</a></font>";
	else
		$stats = '';
	echo '
						<tr>
							<td class="catbg" colspan="2"><b>' . $txt[158] . '</b></td>
						</tr><tr>
							<td class="windowbg" width="20" valign="middle" align="center">
								<img src="' . $imagesdir . '/online.gif" border="0" alt="" />
							</td>
							<td class="windowbg2" width="100%">
								' . $guests . ' ' . $txt[141] . ',  ' . $numusersonline . ' ' . $txt[142] . '<br />
								' . $users . ' ' . $stats . '
							</td>
						</tr>';
	if ($username != 'Guest' && $modSettings['enableSP1Info'] != 1) 
	{
		echo '
						<tr>
							<td class="catbg" colspan="2"><b>' . $txt[159] . '</b></td>
						</tr><tr>
							<td class="windowbg" width="20" valign="middle" align="center">
								<img src="' . $imagesdir . '/message_sm.gif" border="0" alt="" />
							</td>
							<td class="windowbg2" valign="top">
								<b><a href="' . $scripturl . '?board=;action=im">' . $txt[159] . '</a></b><br />
								<font size="1">
									' . $txt[660] . ' ' . $mnum . ' ' . ($mnum == 1 ? $txt[471] : $txt[153]) . '.... ' . $txt[661] . ' <a href="' . $scripturl . '?board=;action=im">' . $txt[662] . '</a> ' . $txt[663] . '
								</font>
							</td>
						</tr>';
	}
	if ($modSettings['enableVBStyleLogin'] != '1' && $username == 'Guest')
	{
		echo '
						<tr>
							<td class="catbg" colspan="2"><b>' . $txt[34] . '</b>
								<a href="' . $reminderurl . '?action=input_user"><small>(' . $txt[315] . ')</small></a>
							</td>
						</tr><tr>
							<td class="windowbg" width="20" align="center">
								<img src="' . $imagesdir . '/login_bindex.gif" border="0" alt="" />
							</td>
							<td class="windowbg" valign="middle">
								<table border="0" cellpadding="2" cellspacing="0" align="center" width="100%">
									<tr>
										<td valign="middle" align="left">
											<b>' . $txt[35] . ':</b><br />
											<input type="text" name="user" size="15" />
										</td>
										<td valign="middle" align="left">
											<b>' . $txt[36] . ':</b><br />
											<input type="password" name="passwrd" size="15" />
										</td>
										<td valign="middle" align="left">
											<b>' . $txt[497] . ':</b><br />
											<input type="text" name="cookielength" size="4" maxlength="4" value="' . $Cookie_Length . '" />
										</td>
										<td valign="middle" align="left">
											<b>' . $txt[508] . ':</b><br />
											<input type="checkbox" name="cookieneverexp" checked="checked" />
										</td>
										<td valign="middle" align="left">
											<input type="submit" value="' . $txt[34] . '" />
										</td>
									</tr>
								</table>
							</td>
						</tr>';
	}
	echo '
					</table>
				</td></tr></table>
			</form>';
	footer();
	obExit();
}

function msnCenter ()
{
	global $imagesdir, $yytitle;
	$yytitle = "MSN Center";
	template_header();
	echo '
		<span id="appload" style="display:none"></span>

		<script language="jscript"><!--
			var hotLog=false;
			var isDrawn_=false;
			function track(){
			if (email.innerText != "Inbox")
				mctrack.src="http://go.msn.com/P/6/";
			}
		//--></script>

		<script language=vbscript>
		Dim noncgi
		noncgi="' . $imagesdir . '/"
		</script>

		<script language="vbscript" id="mcvbs" src="mc.vbs">
		</script>

		<script language="vbscript">
			SUB SubmitHM(frm)
			if (window.event.keyCode)=13 Then
			If valHotmail Then
			document.HotmailForm.Submit()
			End If
			End If
			END SUB
		</script>

		<object classid="clsid:F3A614DC-ABE0-11d2-A441-00C04F795683" codebase="#Version=2, 0, 0, 83" codetype="application/x-oleobject" id="MsgrObj" width="0" height="0">
			<span style="display:none;">&nbsp;</span>
		</object>

		<script for="mcvbs" event="onReadyStateChange" language="VBScript">
			If mcvbs.readyState="complete" And Not isDrawn_ Then
			isDrawn_=True
			DrawInitialState
			End If
		</script>
		<script event="onload" for="window" language="VBScript">
			// FDRcountLoads
			If Not isDrawn Then
			isDrawn = True
			DrawInitialState
			END if
		</script>


		<table border="0" cellpadding="4" cellspacing="1" class="bordercolor" align="center">
			<tr>
				<td class="titlebg" colspan="2">
					<img src="' . $imagesdir . '/msn.gif" alt="" border="0" />&nbsp;
					<font size="2" class="text1"><b>Msn Message Center</b></font>
				</td>
			</tr><tr id="emailhdr">
				<td>
					<font face="arial, sans-serif" size="2"><b><span id="welcome"></span></b></font><img id="mctrack" alt="" width="1" height="1" />
				</td>
				<td class="windowbg"><font face="verdana, sans-serif" size="1"><b>E-mail</b></font></td>
			</tr><tr>
				<td class="windowbg">
					<span id="loginbox" style="display:none">
						<label for="login">
							<font face="verdana, sans-serif" size="1">Hotmail <u>M</u>ember Name:</font>
						</label><br />
						<form style="margin:0;" name="HotmailForm" action="https://lc1.law13.hotmail.passport.com/cgi-bin/dologin/" target="_blank" method="post" onkeydown="SubmitHM(this.event)" onsubmit="return valHotmail();">
							<input type="text" name="login" id="login" size="15" maxlength="64" accesskey="m" /><br />
							<input type="hidden" name="curmbox" value="active" />
							<input type="hidden" name="js" value="yes" />
							<input type="hidden" name="6c6f7264" value="www.msn.com" />
							<font face="verdana, sans-serif" size="1"><u>P</u>assword:</font><br />
							<input type="password" name="passwd" size="15" maxlength="64" accesskey="p" />
							<input type="image" height="17" width="17" ID="m" border="0" src="' . $imagesdir . '/go_m.gif" class="srchBtn" alt="Sign in to Hotmail" /><br />
							<a href="http://go.msn.com/P/1/" class=mclink target="_blank">
								<font face="verdana, sans-serif" size="1">Sign up for free e-mail</font>
							</a>
						</form>
					</span>
					<span id="goinbox" style="display:none">
						<a href="http://go.msn.com/P/2/" onclick="track()" class="mclink" target="_blank">
							<img src="' . $imagesdir . '/newmail1.gif" align="absbottom" width="16" height="12" border="0" ALT="Go to Inbox" />
						</a>
						<a href="http://go.msn.com/P/2/" onclick="track()" class="mclink" target="_blank">
							<font face="verdana, sans-serif" size="1">
								<span id="email"></span>
							</font>
						</a><br />
					</span>
					<span id="loginform" style="display:none"></span>
				</td>
			</tr>
			<tr>
				<td class="windowbg"><font face="verdana, sans-serif" size="1"><b>Online Contacts</b></font></td>
			</tr>
			<tr>
				<td class="windowbg">
					<span id="getmsgr" style="display:none">
						To activate,  <a href="http://go.msn.com/P/0/" class="mclink" target="_blank"><font face="verdana, sans-serif" size="1">download the new MSN Messenger Service.</font></a> 
					</span>
					<span id="msgrlogon" style="display:none">
						<font face="verdana, sans-serif" size="1"><span id="status"></span></font>
					</span>
					<div id="noneol" style="display:none"> </div>
					<span id="mUser" style="display:none"> </span>
					<span id="cmore" style="display:none">
						<a href="vbscript:op(-2)" name="mlink" class="mclink">
							<font face="verdana, sans-serif" size="1">
								<b><i>Open MSN Messenger main window</i></b>
							</font>
						</a>
					</span>
				</td>
			</tr>
		</table>';
	footer();
	obExit();
}


function MarkAllRead ()
{
	global $settings, $username, $db_prefix;
	$result = mysql_query("
		SELECT b.ID_BOARD
		FROM {$db_prefix}categories as c, {$db_prefix}boards as b
		WHERE c.ID_CAT=b.ID_CAT
			AND ('$settings[7]'='Administrator' OR '$settings[7]'='Global Moderator' OR FIND_IN_SET('$settings[7]', c.memberGroups) != 0 OR c.memberGroups='')");
	if (mysql_num_rows($result) > 0)
	{
		$queryEntry = array();
		while ($row = mysql_fetch_array($result))
			$queryEntry[] = "(" . time() . ", '$username', $ID_BOARD)";
		$request = mysql_query("
			REPLACE INTO {$db_prefix}log_mark_read (logTime, memberName, ID_BOARD)
			VALUES " . implode(',', $queryEntry));
	}
	
	$result = mysql_query("
		SELECT lt.ID_TOPIC
		FROM {$db_prefix}log_topics AS lt, {$db_prefix}topics AS t, {$db_prefix}boards AS b, {$db_prefix}categories AS c
		WHERE t.ID_TOPIC=lt.ID_TOPIC
			AND b.ID_BOARD=t.ID_BOARD
			AND c.ID_CAT=b.ID_CAT
			AND ('$settings[7]'='Administrator' OR '$settings[7]'='Global Moderator' OR FIND_IN_SET('$settings[7]', c.memberGroups) != 0 OR c.memberGroups='')
			AND lt.memberName='$username'");
	if (mysql_num_rows($result) > 0)
	{
		$topics = array();
		while ($row = mysql_fetch_array($result))
			$topics[] = $row['ID_TOPIC'];
		$request = mysql_query("DELETE FROM {$db_prefix}log_topics WHERE memberName='$username' AND ID_TOPIC IN (" . implode(',', $topics) . ")");
	}
	BoardIndex();
	obExit();
}
?>
