<?php
//File last updated and altered on May 26th/2002 - Chris Cromer
/*****************************************************************************/
/* Upgrade.php                                                               */
/*****************************************************************************/
/* YaBB: Yet another Bulletin Board                                          */
/* Open-Source Project started by Zef Hemel (zef@zefnet.com)                 */
/* Software Version: YaBB SE                                                 */
/* ========================================================================= */
/* Software Distributed by:    http://www.yabb.info                          */
/* Support, News, Updates at:  http://www.yabb.info/community                */
/*                             http://yabb.xnull.com/community               */
/* ========================================================================= */
/* Copyright (c) 2001-2002 The YaBB Development Team                         */
/* Software by: The YaBB Development Team                                    */
/*****************************************************************************/
/* This program is free software; you can redistribute it and/or modify it   */
/* under the terms of the GNU General Public License as published by the     */
/* Free Software Foundation; either version 2 of the License, or (at your    */
/* option) any later version.                                                */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* The GNU GPL can be found in gpl.txt in this directory                     */
/*****************************************************************************/
?>
<html>
<head>
	<title>YaBB SE SQL Upgrade Utility</title>
<style>
<!--
body {
	font-family : Verdana;
	font-size : 10pt;
}
td {
	font-size : 10pt;
}
-->
</style>
</head>
<body bgcolor="#FFFFFF">
<center><table border=0 cellspacing=1 cellpadding=4 bgcolor="#000000" width=90%>
<tr>
 <th bgcolor="#34699E"><font color="#FFFFFF">YaBB SE SQL Upgrade Utility</font></th>
</tr>
<tr>
 <td bgcolor="#FFFFFF">
<?
global $errornum, $continue;
/* ### Version Info ### */

if (!isset($continue) || $continue != '1') 
{
	print <<<EOT
  <p>This utility will upgrade your YaBB SE version 1.3.x board to 1.4.1. If you're currently not using YaBB SE version 1.3.0 or 1.3.1, do <strong>not</strong> use this upgrade.</p>
  <p>In case you're using version 1.0.0 or 1.1.0, upgrade to 1.3.1 first before upgrading to 1.4.1.</p>
  <p><a href="$HTTP_SERVER_VARS[PHP_SELF]?continue=1">Continue with the upgrade</a></p>
 </td>
</tr>
</table></center>
</body>
</html>
EOT;
	exit;
}
include_once ("Settings.php");
$error=0;
$dbcon = mysql_connect($db_server, $db_user, $db_passwd);
mysql_select_db($db_name);

/*############# BEGIN DATABASE ALTERATION #############*/
$qq1 = <<<END
ALTER TABLE {$db_prefix}calendar ADD id_board INT UNSIGNED NOT NULL
END;
$qq2 = <<<END
ALTER TABLE {$db_prefix}calendar ADD id_topic INT UNSIGNED NOT NULL
END;
$qq3 = <<<END
ALTER TABLE {$db_prefix}calendar ADD title char(30) NOT NULL
END;
$qq4 = <<<END
ALTER TABLE {$db_prefix}calendar ADD id_member INT UNSIGNED NOT NULL
END;
$qq5 = <<<END
ALTER TABLE {$db_prefix}calendar ADD month TINYINT NOT NULL
END;
$qq6 = <<<END
ALTER TABLE {$db_prefix}calendar ADD day TINYINT NOT NULL
END;
$qq7 = <<<END
ALTER TABLE {$db_prefix}calendar ADD year SMALLINT NOT NULL
END;
$qq8 = <<<END
ALTER TABLE {$db_prefix}calendar_holiday ADD title char(30) NOT NULL
END;
$qq9 = <<<END
ALTER TABLE {$db_prefix}calendar_holiday ADD month TINYINT NOT NULL
END;
$qq10 = <<<END
ALTER TABLE {$db_prefix}calendar_holiday ADD day TINYINT NOT NULL
END;
$qq11 = <<<END
ALTER TABLE {$db_prefix}calendar_holiday ADD year SMALLINT NULL
END;
$qq12 = <<<END
DELETE FROM {$db_prefix}settings WHERE variable LIKE 'cal%';
END;
$qq13 = <<<END
DELETE FROM {$db_prefix}settings WHERE variable LIKE 'topbottomEnable%';
END;
$qq14 = <<<END
DROP TABLE IF EXISTS {$db_prefix}calendar
END;
$qq15 = <<<END
DROP TABLE IF EXISTS {$db_prefix}calendar_holiday
END;

$q1 = <<<END
CREATE TABLE {$db_prefix}calendar (id INT UNSIGNED auto_increment NOT NULL PRIMARY KEY)
END;
$q2 = <<<END
CREATE TABLE {$db_prefix}calendar_holiday (id INT unsigned auto_increment NOT NULL primary key)
END;
$q3 = <<<END
ALTER TABLE {$db_prefix}instant_messages ADD readBy TINYINT DEFAULT '0' NOT NULL
END;
$q4 = <<<END
ALTER TABLE {$db_prefix}calendar ADD index idx_year_month(year,month)
END;
$q5 = <<<END
INSERT INTO {$db_prefix}settings VALUES ('topbottomEnable', '0')
END;
$q6 = <<<END
ALTER TABLE {$db_prefix}calendar_holiday ADD INDEX idx_month(month)
END;
$q7 = <<<END
ALTER TABLE {$db_prefix}calendar_holiday ADD INDEX idx_year(year)
END;
$q8 = <<<END
INSERT INTO {$db_prefix}settings VALUES ('cal_minyear','2002')
END;
$q9 = <<<END
INSERT INTO {$db_prefix}settings VALUES ('cal_maxyear','2010')
END;
$q10 = <<<END
INSERT INTO {$db_prefix}settings VALUES ('cal_postgroups','')
END;
$q11 = <<<END
INSERT INTO {$db_prefix}settings VALUES ('cal_enabled','0')
END;
$q12 = <<<END
INSERT INTO {$db_prefix}settings VALUES ('cal_todaycolor','C1E5FF')
END;
$q13 = <<<END
INSERT INTO {$db_prefix}settings VALUES ('cal_eventcolor','078907')
END;
$q14 = <<<END
INSERT INTO {$db_prefix}settings VALUES ('cal_bdaycolor','920AC4')
END;
$q15 = <<<END
INSERT INTO {$db_prefix}settings (variable,value) VALUES ('cal_holidaycolor','000080')
END;
$q16 = <<<END
INSERT INTO {$db_prefix}settings (variable,value) VALUES ('cal_memberscanpost','0')
END;
$q17 = <<<END
INSERT INTO {$db_prefix}settings (variable,value) VALUES ('cal_daysaslink','0')
END;
$q18 = <<<END
INSERT INTO {$db_prefix}settings (variable,value) VALUES ('cal_startmonday','0')
END;
$q19 = <<<END
INSERT INTO {$db_prefix}settings (variable,value) VALUES ('cal_defaultboard','')
END;
$q20 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day) VALUES ('New Years',1,1)
END;
$q21 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day) VALUES ('Christmas',12,25)
END;
$q22 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day) VALUES ('Independence Day',7,4)
END;
$q23 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day) VALUES ('Cinco de Mayo',5,5)
END;
$q24 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day) VALUES ('Flag Day',6,14)
END;
$q25 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day) VALUES ('Veterans Day',11,11)
END;
$q26 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day) VALUES ('Groundhog Day',2,2)
END;
$q27 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day) VALUES ('Valentine''s Day',2,14)
END;
$q28 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day) VALUES ('St. Patrick''s Day',3,17)
END;
$q29 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day) VALUES ('April Fools',4,1)
END;
$q30 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day) VALUES ('Earth Day',4,22)
END;
$q31 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day) VALUES ('United Nations Day',10,24)
END;
$q32 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day) VALUES ('Halloween',10,31)
END;
$q33 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Thanksgiving',11,28,2002)
END;
$q34 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Thanksgiving',11,27,2003)
END;
$q35 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Thanksgiving',11,25,2004)
END;
$q36 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Thanksgiving',11,24,2005)
END;
$q37 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Thanksgiving',11,23,2006)
END;
$q38 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Thanksgiving',11,22,2007)
END;
$q39 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Thanksgiving',11,27,2008)
END;
$q40 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Thanksgiving',11,26,2009)
END;
$q41 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Thanksgiving',11,25,2010)
END;
$q42 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Memorial Day',5,27,2002)
END;
$q43 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Memorial Day',5,26,2003)
END;
$q44 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Memorial Day',5,31,2004)
END;
$q45 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Memorial Day',5,30,2005)
END;
$q46 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Memorial Day',5,29,2006)
END;
$q47 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Memorial Day',5,28,2007)
END;
$q48 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Memorial Day',5,26,2008)
END;
$q49 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Memorial Day',5,25,2009)
END;
$q50 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Memorial Day',5,31,2010)
END;
$q51 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Mother''s Day',5,12,2002)
END;
$q52 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Mother''s Day',5,11,2003)
END;
$q53 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Mother''s Day',5,9,2004)
END;
$q54 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Mother''s Day',5,8,2005)
END;
$q55 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Mother''s Day',5,14,2006)
END;
$q56 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Mother''s Day',5,13,2007)
END;
$q57 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Mother''s Day',5,11,2008)
END;
$q58 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Mother''s Day',5,10,2009)
END;
$q59 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Mother''s Day',5,9,2010)
END;
$q60 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Father''s Day',6,16,2002)
END;
$q61 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Father''s Day',6,15,2003)
END;
$q62 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Father''s Day',6,20,2004)
END;
$q63 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Father''s Day',6,19,2005)
END;
$q64 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Father''s Day',6,18,2006)
END;
$q65 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Father''s Day',6,17,2007)
END;
$q66 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Father''s Day',6,15,2008)
END;
$q67 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Father''s Day',6,21,2009)
END;
$q68 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Father''s Day',6,20,2010)
END;
$q69 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Labor Day',9,2,2002)
END;
$q70 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Labor Day',9,1,2003)
END;
$q71 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Labor Day',9,6,2004)
END;
$q72 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Labor Day',9,5,2005)
END;
$q73 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Labor Day',9,4,2006)
END;
$q74 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Labor Day',9,3,2007)
END;
$q75 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Labor Day',9,1,2008)
END;
$q76 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Labor Day',9,7,2009)
END;
$q77 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Labor Day',9,6,2010)
END;
$q78 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Summer Solstice',6,21,2002)
END;
$q79 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Summer Solstice',6,21,2003)
END;
$q80 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Summer Solstice',6,20,2004)
END;
$q81 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Summer Solstice',6,20,2005)
END;
$q82 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Summer Solstice',6,21,2006)
END;
$q83 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Summer Solstice',6,21,2007)
END;
$q84 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Summer Solstice',6,20,2008)
END;
$q85 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Summer Solstice',6,20,2009)
END;
$q86 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Summer Solstice',6,21,2010)
END;
$q87 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Vernal Equinox',3,20,2002)
END;
$q88 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Vernal Equinox',3,20,2003)
END;
$q89 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Vernal Equinox',3,19,2004)
END;
$q90 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Vernal Equinox',3,20,2005)
END;
$q91 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Vernal Equinox',3,20,2006)
END;
$q92 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Vernal Equinox',3,20,2007)
END;
$q93 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Vernal Equinox',3,19,2008)
END;
$q94 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Vernal Equinox',3,20,2009)
END;
$q95 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Vernal Equinox',3,20,2010)
END;
$q96 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Winter Solstice',12,21,2002)
END;
$q97 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Winter Solstice',12,21,2003)
END;
$q98 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Winter Solstice',12,21,2004)
END;
$q99 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Winter Solstice',12,21,2005)
END;
$q100 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Winter Solstice',12,21,2006)
END;
$q101 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Winter Solstice',12,21,2007)
END;
$q102 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Winter Solstice',12,21,2008)
END;
$q103 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Winter Solstice',12,21,2009)
END;
$q104 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Winter Solstice',12,21,2010)
END;
$q105 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Autumnal Equinox',9,22,2002)
END;
$q106 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Autumnal Equinox',9,23,2003)
END;
$q107 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Autumnal Equinox',9,22,2004)
END;
$q108 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Autumnal Equinox',9,22,2005)
END;
$q109 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Autumnal Equinox',9,22,2006)
END;
$q110 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Autumnal Equinox',9,23,2007)
END;
$q111 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Autumnal Equinox',9,22,2008)
END;
$q112 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Autumnal Equinox',9,22,2009)
END;
$q113 = <<<END
INSERT INTO {$db_prefix}calendar_holiday (title,month,day,year) VALUES ('Autumnal Equinox',9,22,2010)
END;
$q114 = <<<END
ALTER TABLE {$db_prefix}members add key(memberGroup(30));
END;
$q115 = <<<END
ALTER TABLE {$db_prefix}members add key(posts);
END;
$q147 = <<<END
ALTER TABLE {$db_prefix}members add key(memberName(30));
END;
$q116 = <<<END
ALTER TABLE {$db_prefix}members add key(dateRegistered);
END;
$q117 = <<<END
ALTER TABLE {$db_prefix}members add key(lastLogin);
END;
$q118 = <<<END
ALTER TABLE {$db_prefix}messages add key(posterTime);
END;
$q119 = <<<END
ALTER TABLE {$db_prefix}instant_messages add key (ID_MEMBER_FROM);
END;
$q120 = <<<END
ALTER TABLE {$db_prefix}instant_messages add key (ID_MEMBER_TO);
END;
$q121 = <<<END
ALTER TABLE {$db_prefix}instant_messages add key (deletedBy);
END;
$q122 = <<<END
ALTER TABLE {$db_prefix}instant_messages add key(fromName(30));
END;
$q123 = <<<END
ALTER TABLE {$db_prefix}instant_messages add key(toName(30));
END;
$q124 = <<<END
ALTER TABLE {$db_prefix}categories add key (catOrder);
END;
$q125 = <<<END
ALTER TABLE {$db_prefix}boards add key (ID_CAT);
END;
$q126 = <<<END
ALTER TABLE {$db_prefix}log_boards add key (ID_BOARD);
END;
$q127 = <<<END
ALTER TABLE {$db_prefix}log_boards add key (memberName(30));
END;
$q128 = <<<END
ALTER TABLE {$db_prefix}log_topics add key (membername(30));
END;
$q129 = <<<END
ALTER TABLE {$db_prefix}log_topics add key (logTime);
END;
$q130 = <<<END
ALTER TABLE {$db_prefix}log_topics add key (ID_TOPIC);
END;
$q131 = <<<END
ALTER TABLE {$db_prefix}log_activity add key (month);
END;
$q132 = <<<END
ALTER TABLE {$db_prefix}log_activity add key (day);
END;
$q133 = <<<END
ALTER TABLE {$db_prefix}log_activity add key (year);
END;
$q134 = <<<END
ALTER TABLE {$db_prefix}log_activity add key (mostOn);
END;
$q135 = <<<END
ALTER TABLE {$db_prefix}log_errors add key (logTime);
END;
$q136 = <<<END
ALTER TABLE {$db_prefix}log_errors add key (memberName(30));
END;
$q137 = <<<END
ALTER TABLE {$db_prefix}log_floodcontrol add key (ip(20));
END;
$q138 = <<<END
ALTER TABLE {$db_prefix}log_floodcontrol add key (logTime);
END;
$q139 = <<<END
ALTER TABLE {$db_prefix}log_karma add key (ID_TARGET);
END;
$q140 = <<<END
ALTER TABLE {$db_prefix}log_karma add key (ID_EXECUTOR);
END;
$q141 = <<<END
ALTER TABLE {$db_prefix}log_karma add key(logTime);
END;
$q142 = <<<END
ALTER TABLE {$db_prefix}log_mark_read add key (memberName(30));
END;
$q143 = <<<END
ALTER TABLE {$db_prefix}log_mark_read add key (ID_BOARD);
END;
$q144 = <<<END
ALTER TABLE {$db_prefix}log_mark_read add key (logTime);
END;
$q145 = <<<END
ALTER TABLE {$db_prefix}log_online add key (logTime);
END;
$q146 = <<<END
ALTER TABLE {$db_prefix}settings add key(variable(30));
END;
$q148 = <<<END
UPDATE {$db_prefix}settings SET value=' previous' WHERE (variable='PreviousNext_back')
END;
$q149 = <<<END
UPDATE {$db_prefix}settings SET value='next ' WHERE (variable='PreviousNext_forward')
END;
$q150 = <<<END
INSERT INTO {$db_prefix}settings VALUES ('cal_showeventsonindex','0');
END;
$q151 = <<<END
INSERT INTO {$db_prefix}settings VALUES ('cal_showbdaysonindex','0');
END;
$q152 = <<<END
INSERT INTO {$db_prefix}settings VALUES ('cal_showholidaysonindex','0');
END;
$q153 = <<<END
INSERT INTO {$db_prefix}settings VALUES ('cal_captioncolor','FFFFFF');
END;
$q154 = <<<END
INSERT INTO {$db_prefix}settings VALUES ('cal_postmembers','');
END;
$q155 = <<<END
INSERT INTO {$db_prefix}settings VALUES ('cal_showweeknum','0');
END;
$q156 = <<<END
INSERT INTO {$db_prefix}settings VALUES ('cal_allowspan','0');
END;
$q157 = <<<END
INSERT INTO {$db_prefix}settings VALUES ('cal_maxspan','7');
END;


doQuery($qq14);
doQuery($qq15);
doQuery($q1);
doQuery($q2);
doQuery($q3);
doQuery($qq1);
doQuery($qq2);
doQuery($qq3);
doQuery($qq4);
doQuery($qq5);
doQuery($qq6);
doQuery($qq7);
doQuery($qq8);
doQuery($qq9);
doQuery($qq10);
doQuery($qq11);
doQuery($qq12);
doQuery($qq13);
doQuery($q4);
doQuery($q5);
doQuery($q6);
doQuery($q7);
doQuery($q8);
doQuery($q9);
doQuery($q10);
doQuery($q11);
doQuery($q12);
doQuery($q13);
doQuery($q14);
doQuery($q15);
doQuery($q16);
doQuery($q17);
doQuery($q18);
doQuery($q19);
doQuery($q20);
doQuery($q21);
doQuery($q22);
doQuery($q23);
doQuery($q24);
doQuery($q25);
doQuery($q26);
doQuery($q27);
doQuery($q28);
doQuery($q29);
doQuery($q30);
doQuery($q31);
doQuery($q32);
doQuery($q33);
doQuery($q34);
doQuery($q35);
doQuery($q36);
doQuery($q37);
doQuery($q38);
doQuery($q39);
doQuery($q40);
doQuery($q41);
doQuery($q42);
doQuery($q43);
doQuery($q44);
doQuery($q45);
doQuery($q46);
doQuery($q47);
doQuery($q48);
doQuery($q49);
doQuery($q50);
doQuery($q51);
doQuery($q52);
doQuery($q53);
doQuery($q54);
doQuery($q55);
doQuery($q56);
doQuery($q57);
doQuery($q58);
doQuery($q59);
doQuery($q60);
doQuery($q61);
doQuery($q62);
doQuery($q63);
doQuery($q64);
doQuery($q65);
doQuery($q66);
doQuery($q67);
doQuery($q68);
doQuery($q69);
doQuery($q70);
doQuery($q71);
doQuery($q72);
doQuery($q73);
doQuery($q74);
doQuery($q75);
doQuery($q76);
doQuery($q77);
doQuery($q78);
doQuery($q79);
doQuery($q80);
doQuery($q81);
doQuery($q82);
doQuery($q83);
doQuery($q84);
doQuery($q85);
doQuery($q86);
doQuery($q87);
doQuery($q88);
doQuery($q89);
doQuery($q90);
doQuery($q91);
doQuery($q92);
doQuery($q93);
doQuery($q94);
doQuery($q95);
doQuery($q96);
doQuery($q97);
doQuery($q98);
doQuery($q99);
doQuery($q100);
doQuery($q101);
doQuery($q102);
doQuery($q103);
doQuery($q104);
doQuery($q105);
doQuery($q106);
doQuery($q107);
doQuery($q108);
doQuery($q109);
doQuery($q110);
doQuery($q111);
doQuery($q112);
doQuery($q113);
doQuery($q114);
doQuery($q115);
doQuery($q116);
doQuery($q117);
doQuery($q118);
doQuery($q119);
doQuery($q120);
doQuery($q121);
doQuery($q122);
doQuery($q123);
doQuery($q124);
doQuery($q125);
doQuery($q126);
doQuery($q127);
doQuery($q128);
doQuery($q129);
doQuery($q130);
doQuery($q131);
doQuery($q132);
doQuery($q133);
doQuery($q134);
doQuery($q135);
doQuery($q136);
doQuery($q137);
doQuery($q138);
doQuery($q139);
doQuery($q140);
doQuery($q141);
doQuery($q142);
doQuery($q143);
doQuery($q144);
doQuery($q145);
doQuery($q146);
doQuery($q147);
doQuery($q148);
doQuery($q149);
doQuery($q150);
doQuery($q151);
doQuery($q152);
doQuery($q153);
doQuery($q154);
doQuery($q155);
doQuery($q156);
doQuery($q157);

function doQuery($query) {
   mysql_query("$query");
   if(($SQL_error = mysql_error()) != '') repError($SQL_error);
   else print("<FONT COLOR=GREEN>Data inserted successfully!</FONT><br><br>");
}

function repError($error) {
  echo "Error: MySQL said: <br>\n<pre>$error</pre>\n";
}

$tables=mysql_list_tables($db_name);
while (list($bla)=mysql_fetch_array($tables)) {
$result = mysql_query("OPTIMIZE TABLE $bla");
$result = mysql_query("ALTER TABLE $bla TYPE=MyISAM");
}
// Speedup boardindex moderations

print "Starting with the speedup boardindex moderations";

doQuery("ALTER TABLE {$db_prefix}boards ADD COLUMN ID_LAST_TOPIC int(11) NULL;");

$result2 = mysql_query("SELECT ID_BOARD FROM {$db_prefix}boards WHERE (1);");
while ($row = mysql_fetch_array($result2))
{
	$result = mysql_query("
		SELECT m.ID_TOPIC
		FROM {$db_prefix}messages AS m,{$db_prefix}topics as t
		WHERE m.ID_MSG=t.ID_LAST_MSG
			AND t.ID_BOARD=$row[ID_BOARD]
		ORDER BY m.posterTime DESC 
		LIMIT 1");
	if (mysql_num_rows($result) > 0)
	{
		list($lastTopicID) = mysql_fetch_array($result);
		doQuery("UPDATE {$db_prefix}boards SET ID_LAST_TOPIC=$lastTopicID WHERE ID_BOARD=$row[ID_BOARD]");
	}
}



/*############# END DATABASE ALTERATION #############*/

echo "</td></tr></table>";
echo "<P>Upgrade of SQL is ok.<br>If there is an error message indicating a duplicate column or an table that already exists, you can ignore those errors.";
?>