<?php
/*****************************************************************************/
/* SSI.php                                                                   */
/*****************************************************************************/
/* YaBB: Yet another Bulletin Board                                          */
/* Open-Source Project started by Zef Hemel (zef@zefnet.com)                 */
/* Software Version: YaBB SE                                                 */
/* ========================================================================= */
/* Software Distributed by:    http://www.yabbse.org                         */
/* Support, News, Updates at:  http://www.yabbse.org/community               */
/*                             http://www.yabbforum.com/community            */
/* ========================================================================= */
/* Copyright (c) 2001-2002 The YaBB SE Development Team                      */
/* Software by: The YaBB SE Development Team                                 */
/*****************************************************************************/
/* This program is free software; you can redistribute it and/or modify it   */
/* under the terms of the GNU General Public License as published by the     */
/* Free Software Foundation; either version 2 of the License, or (at your    */
/* option) any later version.                                                */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* The GNU GPL can be found in gpl.txt in this directory                     */
/*****************************************************************************/

$ssiphpver = 'YaBB SE 1.5.0';

/*******************************   Settings   ********************************/
	$full_yabbse_path = '.';	// if in same folder as yabb board can be left 
								// as '.'
	$num_recentTopics = '8';	// number of topics to display in list of 
								// recent topics
	$num_topBoards = '10';		// number of boards to display in board list
	$num_topicsViews = '10';	// number of topics to show in list of topics
								// sorted by number of views
	$num_topicsReplies = '10';	// number of topics to show in list of topics
								// sorted by number of replies
	$logOnlinePresence = false;	// When showing whosOnline() should the user
								// requesting the page also be shown as online?
	$menuBarStyle = '0';		// 0: Automatically determine menu style using 
								//    forum settings (default)
								// 1: Use text menu
								// 2: Use image menu
/*****************************************************************************/

include_once ($full_yabbse_path . '/Settings.php');
$dbcon = mysql_connect($db_server, $db_user, $db_passwd);
mysql_select_db($db_name);
chdir($boarddir);

include_once ($sourcedir . '/Subs.php');
include_once ($sourcedir . '/Load.php');

/* ### Log this click ### */
ClickLog();

/* ### Load the user's cookie (or set to guest) ### */
LoadCookie();

/* ### Load user settings ### */
LoadUserSettings();

// Load modsettings
$modSettings = array();
$request = mysql_query("SELECT variable,value FROM {$db_prefix}settings WHERE (variable != 'agreement')");
while ($row = mysql_fetch_array($request))
	$modSettings[$row['variable']] = $row['value'];
$chklngfile = $chklngfile2 = $settings[23];

// Load language file
$MenuType = ($menuBarStyle == '0' ? $MenuType : $menuBarStyle);
if ($modSettings['userLanguage'] == 1)
{
	if ($chklngfile == Null)
		include_once($language);
	else
		include_once($chklngfile2);
}
else
	include_once($language);


$types_to_register = array('GET', 'POST', 'COOKIE', 'SESSION', 'SERVER');
foreach ($types_to_register as $type)
{
	$arr = @${'HTTP_' . $type . '_VARS'};
	if (@count($arr) > 0)
		extract($arr, EXTR_OVERWRITE);
}

if ($function == 'topPoster' || $function == 'recentTopics' || $function == 'whosOnline' || $function == 'welcome' || $function == 'menubar' || $function == 'logout' || $function == 'login' || $function == 'topBoards' || $function == 'topTopicsViews' || $function == 'topTopicsReplies' || $function == 'latestMember' || $function == 'boardStats')
{
	$function(); // Execute Function
	exit;
}


/*	Display a welcome message like:
	Hey, <username>, you have 37 messages, 0 are new.*/

function welcome()
{
	global $username,$txt,$cgi,$db_prefix,$realname, $ID_MEMBER;


	if ($username != 'Guest')
	{
		$request = mysql_query("SELECT COUNT(*), readBy FROM {$db_prefix}instant_messages WHERE (ID_MEMBER_TO=$ID_MEMBER AND deletedBy != 1) GROUP BY readBy");

		if (mysql_num_rows($request) == 0)
			$munred = $mnum = 0;
		elseif (mysql_num_rows($request) == 1)
		{
			list($mnum, $readBy) = mysql_fetch_array($request);
			if ($readBy == 0)
				$munred = $mnum;
			else
				$munred = 0;
		}
		else
		{
			list($munred, $dummy) = mysql_fetch_row($request);
			list($mnum, $dummy) = mysql_fetch_row($request);
			$mnum += $munred;
		}

		$isare = ($munred == '1' ? $txt['newmessages0'] : $txt['newmessages1']);
		$messages = ($mnum == '1' ? $txt[471] : $txt[153]);
		
		$yyim = "$txt[152] <a href=\"$cgi;action=im\">$mnum $messages</a>$txt[newmessages4] $munred $isare $txt[newmessages2].";
	}

	$tmp = ($realname == '' ? $username : $realname);
	$yyuname = ($username == 'Guest' ? "$txt[248] <b>$txt[28]</b>. $txt[249] <a href=\"$cgi;action=login\">$txt[34]</a> $txt[377] <a href=\"$cgi;action=register\">$txt[97]</a>." : "$txt[247] <b>$tmp</b>, ");
	echo $yyuname . $yyim;
}


/*	Display a menubar bar like the one on top of the forum */

function menubar()
{
	global $scripturl, $txt, $menusep, $img, $settings, $username, $enable_notification, $cgi, $helpfile;

	$yymenu = "<a href=\"$scripturl\">$img[home]</a>$menusep<a href=\"$helpfile\" target=_blank>$img[help]</a>$menusep<a href=\"$cgi;action=search\">$img[search]</a>";
	if($settings[7] == 'Administrator')
		$yymenu = $yymenu.$menusep."<a href=\"$cgi;action=admin\">$img[admin]</a>";
	if($username == "Guest")
		$yymenu .= $menusep."<a href=\"$cgi;action=login\">$img[login]</a>$menusep<a href=\"$cgi;action=register\">$img[register]</a>";
	else
	{
		$yymenu .= "$menusep<a href=\"$cgi;action=profile;user=$username\">$img[profile]</a>";
		if($enable_notification) { $yymenu .= "$menusep<a href=\"$cgi;action=shownotify\">$img[notification]</a>"; }
		$yymenu .= "$menusep<a href=\"$cgi;action=logout\">$img[logout]</a>";
	}
	echo $yymenu;
}

/* Show the logout link if the user is logged in */

function logout()
{
	global $username, $txt, $cgi, $db_prefix, $realname;

	$tmp = ($realname == '' ? $username : $realname);
	if($username != 'Guest')
		$yylogout = "<a href=\"$cgi;action=logout\">$txt[108]</a>";
	echo $yylogout;
}


/* Show a list of topics, the most recent first */

function recentTopics ()
{
	global $settings, $scripturl, $txt, $censored, $db_prefix, $num_recentTopics, $username, $imagesdir;

	//Limit recent topics to 24 hours. Uncomment the following line for more speed
	//$timeLimit = 24 * 60 * 60;
	$request = mysql_query("
		SELECT m.ID_MSG 
		FROM {$db_prefix}messages AS m, {$db_prefix}topics AS t, {$db_prefix}boards AS b,{$db_prefix}categories AS c
		WHERE t.ID_TOPIC=m.ID_TOPIC 
			AND b.ID_BOARD=t.ID_BOARD 
			AND c.ID_CAT=b.ID_CAT 
			AND (FIND_IN_SET('$settings[7]', c.memberGroups) != 0 OR c.memberGroups='' OR '$settings[7]' LIKE 'Administrator' OR '$settings[7]' LIKE 'Global Moderator')
			" . ($timeLimit > 0 ? 'AND m.posterTime>' . (time() - $timeLimit) : '') . "
		ORDER BY posterTime DESC 
		LIMIT 0, $num_recentTopics;");
	$messages = array();
	while ($row = mysql_fetch_array($request))
		$messages[] = $row['ID_MSG'];

	if (count($messages))
	{
		$request = mysql_query("
			SELECT m.posterTime, m.subject, m.ID_TOPIC, m.posterName, m.ID_MEMBER, IFNULL(mem.realName, m.posterName) AS posterDisplayName, t.numReplies, t.ID_BOARD, t.ID_FIRST_MSG, b.name AS bName, IFNULL(lt.logTime, 0) AS isRead, IFNULL(lmr.logTime, 0) AS isMarkedRead
			FROM {$db_prefix}messages AS m, {$db_prefix}topics AS t, {$db_prefix}boards as b
				LEFT JOIN {$db_prefix}members AS mem ON (mem.ID_MEMBER=m.ID_MEMBER)
				LEFT JOIN {$db_prefix}log_topics AS lt ON (lt.ID_TOPIC=t.ID_TOPIC AND lt.memberName='$username')
				LEFT JOIN {$db_prefix}log_mark_read AS lmr ON (lmr.ID_BOARD=t.ID_BOARD AND lmr.memberName='$username')
			WHERE m.ID_MSG IN (" . implode(',', $messages) . ")
				AND t.ID_TOPIC=m.ID_TOPIC
				AND b.ID_BOARD=t.ID_BOARD
			ORDER BY m.posterTime DESC;");

		if (mysql_num_rows($request) > 0)
		{
			$post = '<table border="0">';

			while ($row = mysql_fetch_array($request)) 
			{
				$new = ($row['isRead'] >= $row['posterTime'] || $row['isMarkedRead'] >= $row['posterTime'] ? false : true);
				if (!$new || $username == 'Guest')
					$new = '';
				else
					$new = '<a href="' . $cgi . ';action=display;threadid=' . $mnum . ';start=new">' . '<img src="' . $imagesdir . '/new.gif" alt="' . $txt[302] . '" border="0" /></a>';
				
				$post .= '<tr>';

				if ($row['ID_MEMBER'] != -1)
				{
					$euser = urlencode($row['posterName']);
					$dummy = "<a href=\"$scripturl?action=viewprofile;user=$euser\">$row[posterDisplayName]</a>";
				}
				else
					$dummy = $row['posterName'];

				$post .= '
					<td align="right" valign="top" nowrap="nowrap">
						<font size="2">
							[<a href="' . $scripturl . '?board=' . $row[ID_BOARD] . '">' . $row[bName] . '</a>]
						</font>
					</td>
					<td valign="top">
						<font size="2">
							<a href="' . $scripturl . '?board=' . $row[ID_BOARD] . ';action=display;threadid=' . $row[ID_TOPIC] . ';start=' . $row[numReplies] . '">' . $row[subject] . '</a> ' . $txt[525] . ' ' . $dummy . ' ' . $new . '
						</font>
					</td>
					<td align="right" nowrap="nowrap">
						<font size="2">
							' . timeformat($row['posterTime']) . '
						</font>
					</td>
				</tr>';
			}
			$post .= '</table>';
		}
		else
			$post = '---';
	}
	else
		$post = '---';

	CensorTxt($post);

	echo $post;

	foreach ($censored as $tmpa => $tmpb) 
		$thepost = str_replace($tmpa,$tmpb,$thepost );

	echo $thepost; 
}


/* Show the user with the highest number of posts */

function topPoster()
{
	global $db_prefix,$scripturl;

	ob_end_clean();
	$request = mysql_query("SELECT memberName,realName FROM {$db_prefix}members ORDER BY posts DESC LIMIT 1");
	$row = mysql_fetch_array($request);
	echo "<a href=\"$scripturl?action=viewprofile;user=$row[memberName]\">$row[realName]</a>";
}


/*	Display a list of boards with their number of topics and posts. Sorted by 
	number of posts. */

function topBoards()
{
	global $db_prefix,$txt,$scripturl, $num_topBoards;

	ob_end_clean();
	$request = mysql_query("SELECT name, numTopics, numPosts FROM {$db_prefix}boards ORDER BY numPosts DESC LIMIT $num_topBoards");
	echo '
		<table>
			<tr>
				<th align="left"><font size="2">' . $txt['yse82'] . '</font></th>
				<th align="left"><font size="2">' . $txt[330] . '</font></th>
				<th align="left"><font size="2">' . $txt[21] . '</font></th>
			</tr>';
	while ($row = mysql_fetch_array($request))
	{
		echo '
			<tr>
				<td><font size="2"><a href="' . $scripturl . '?board=' . $row['ID_BOARD'] . '">' . $row['name'] . '</a></font></td>
				<td align="right"><font size="2">' . $row['numTopics'] . '</font></td>
				<td align="right"><font size="2">' . $row['numPosts'] . '</font></td>
			</tr>';
	}
	echo '
		</table>';
}


/*	Display a list of topics with their number of views. The best read topic 
	first. */

function topTopicsViews() 
{
	global $db_prefix, $txt, $scripturl, $num_topicsViews;	

	ob_end_clean();
	$request = mysql_query("
		SELECT {$db_prefix}topics.*,m.* 
		FROM {$db_prefix}topics,{$db_prefix}messages as m, {$db_prefix}messages as mes 
		WHERE m.ID_MSG={$db_prefix}topics.ID_FIRST_MSG 
			AND mes.ID_MSG={$db_prefix}topics.ID_LAST_MSG
		ORDER BY {$db_prefix}topics.numViews DESC 
		LIMIT $num_topicsViews");
	echo '
		<table>
			<tr>
				<th align="left">&nbsp;</th>
				<th align="left"><font size="2">' . $txt[330] . '</font></th>
			</tr>';
	while ($row = mysql_fetch_array($request))
		echo '
			<tr>
				<td align="left">
					<font size="2"><a href="' . $cgi . '?board=' . $row['ID_BOARD'] . ';action=display;threadid=' . $row['ID_TOPIC'] , ';start=0">' . $row['subject'] . '</a></font>
				</td>
				<td align="right"><font size="2">' . $row['numViews'] . '</font></td>
			</tr>';
	echo '
		</table>';
}


/*	Display a list of topics with their number of replies. The topic with most
	replies first. */

function topTopicsReplies()
{
	global $db_prefix, $txt, $scripturl, $num_topicsReplies;
	
	ob_end_clean();
	$request = mysql_query("
		SELECT {$db_prefix}topics.*,m.* 
		FROM {$db_prefix}topics,{$db_prefix}messages as m, {$db_prefix}messages as mes 
		WHERE m.ID_MSG={$db_prefix}topics.ID_FIRST_MSG 
			AND mes.ID_MSG={$db_prefix}topics.ID_LAST_MSG
		ORDER BY {$db_prefix}topics.numReplies DESC 
		LIMIT $num_topicsReplies");
	
	echo '
		<table>
			<tr>
				<th align="left">&nbsp;</th>
				<th align="left"><font size="2">' . $txt[110] . '</font></th>
			</tr>';
	while ($row = mysql_fetch_array($request))
		echo '
			<tr>
				<td align="left">
					<font size="2"><a href="' . $cgi . '?board=' . $row['ID_BOARD'] . ';action=display;threadid=' . $row['ID_TOPIC'] , ';start=0">' . $row['subject'] . '</a></font>
				</td>
				<td align="right"><font size="2">' . $row['numReplies'] . '</font></td>
			</tr>';
	echo '
		</table>';
}


/*	Show latest member that has registered on the forum */

function latestMember()
{
	global $db_prefix, $txt, $scripturl, $modSettings;

	ob_end_clean();
	$euser = urlencode($modSettings['latestMember']);
	$thelatestmember = "<a href=\"$scripturl?action=viewprofile;user=$euser\">$modSettings[latestRealName]</a>";
	echo "$txt[201] $thelatestmember$txt[581]<br />";

}


/*	Show some board statistics. For example:
	Total Members: 1004
	Total Posts: 38075
	Total Topics: 1151
	Total Categories: 6
	Total Boards: 10 */

function boardStats()
{
	global $db_prefix, $txt, $scripturl, $modSettings;

	ob_end_clean();
	$latestmember = $modSettings['latestMember'];
	$latestRealName = $modSettings['latestRealName'];
	$memcount = $modSettings['memberCount'];
	$totalm = $modSettings['totalMessages'];
	$totalt = $modSettings['totalTopics'];

	$result = mysql_query("SELECT COUNT(*) as totalb FROM {$db_prefix}boards;");
	$row = mysql_fetch_row($result);
	$numboards = $row[0];
	$result = mysql_query("SELECT COUNT(*) as totalc FROM {$db_prefix}categories;");
	$row = mysql_fetch_row($result);
	$numcats = $row[0];
	echo '
		' . $txt[488] . ' <a href="' . $scripturl . '?action=mlall\">' . $memcount . '</a><br />
		' . $txt[489] . ' ' . $totalm . '<br />
		' . $txt[490] . ' ' . $totalt . ' <br />
		' . $txt[658] . ' ' . $numcats . '<br />
		' . $txt[665] . ' ' . $numboards;
}


/*	Show a list of current users online */

function whosOnline()
{
	global $scripturl, $db_prefix, $txt, $logOnlinePresence;

	if ($logOnlinePresence)
		WriteLog();

	ob_end_clean();
	$guests = 0;
	$tmpusers = array();
	$request3 = mysql_query("SELECT identity FROM {$db_prefix}log_online WHERE 1 ORDER BY logTime DESC");

	while ($tmp = mysql_fetch_array($request3))
	{
		$identity = $tmp['identity'];
		$request4 = mysql_query("SELECT realName, memberGroup FROM {$db_prefix}members WHERE (memberName='$identity') LIMIT 1");
		if (mysql_num_rows($request4) > 0){
			$tmp2 = mysql_fetch_array($request4);
			if ($tmp2['memberGroup'] == "Administrator")
				$tmpusers[] = "<a href=\"$scripturl?action=viewprofile;user=$identity\"><font color=\"red\">$tmp2[realName]</font></a>";
			elseif ($tmp2['memberGroup']=="Global Moderator")
				$tmpusers[] = "<a href=\"$scripturl?action=viewprofile;user=$identity\"><font color=\"blue\">$tmp2[realName]</font></a>";
			elseif ($tmp2['memberGroup']=="YaBB SE Developer")
				$tmpusers[] = "<a href=\"$scripturl?action=viewprofile;user=$identity\"><font color=\"green\">$tmp2[realName]</font></a>";
			elseif ($tmp2['memberGroup']=="Mod Team")
				$tmpusers[] = "<a href=\"$scripturl?action=viewprofile;user=$identity\"><font color=\"orange\">$tmp2[realName]</font></a>";
			else
				$tmpusers[] = "<a href=\"$scripturl?action=viewprofile;user=$identity\">$tmp2[realName]</a>";
		}
			else
				$guests ++;
	}
	$users = implode(', ', $tmpusers);
	$numusersonline = sizeof($tmpusers);
	echo 
		$guests . ' ' . $txt[141] . ', ' . $numusersonline . ' ' . $txt[142] . '<br />
		' . $users;
}

/* Show a login form */

function login()
{
	global $username,$cgi,$txt;

	$user = 'user';
	$pass = 'pass';
	ob_end_clean();
	print '
		<table border="0" cellspacing="1" cellpadding="0">
			<form action="' . $cgi . ';action=login2" method="post">
				<tr>
					<td align="right">' . $user . ':&nbsp;</td>
					<td><input type="text" name="user" size="9" value="' . $username . '"></td>
				</tr><tr>
					<td align="right">' . $pass . ':&nbsp;</td>
					<td><input type="password" name="passwrd" size="9" /></td>
				</tr><tr>
					<td>&nbsp;</td>
					<td><input type="hidden" name="cookielength" value="' . $txt['yse50'] . '"><input type="submit" value="' . $txt[34] . '"></td>
				</tr>
			</form>
		</table>';
}
?>